Bug 10931 - CSV for serial claims contains untranslatable strings
Summary: CSV for serial claims contains untranslatable strings
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-22 10:04 UTC by Katrin Fischer
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-09-22 10:04:05 UTC
To reproduce:

- Make sure you have some late issues for your subscriptions
- Install an updated po file for another language 
- Activate that language
- Search for late issues using the claims functionality in serials
- Verify that you can export issue data for one or more issues
- Verify that the CSV created contains English strings
- Verify that your updated po file doesn't contain those strings
Comment 1 Jonathan Druart 2013-09-23 09:14:28 UTC
Katrin,
I reproduce the issue. But I reproduce on exporting basketgroup too.
Could you confirm the behavior is the same for basketgroup?
I think translators should add a carriage return when translating theses CSV headers.
Comment 2 Katrin Fischer 2013-09-23 09:16:13 UTC
This is not an option in Pootle afaik. The translation scripts won't keep it. Did you test?
Comment 3 Jonathan Druart 2013-09-23 15:24:35 UTC
If bug 10854 is pushed, librarians will be allowed to generated their own CSV profile.
They won't be translatable but they will be translated in the language used by librarians.
Katrin, do you think it is enough?
Comment 4 mathieu saby 2013-09-23 15:36:42 UTC
Hello

Translation bugs for CSV files are well known.
We had to make a local patch in Rennes 2 for transating them (and chosing the columns we wanted)

Mathieu
Comment 5 Katrin Fischer 2014-03-13 09:26:33 UTC
With the new export based on CSV profiles this works well.